/*######################################################################
#
# Project: DoD Configuration Extension
# URL: http://www.nabber.org/projects/
# E-mail: webmaster@nabber.org
#
# Copyright: (C) 2003-2006, Neil McNab
# License: GNU General Public License Version 2
#   (http://www.gnu.org/copyleft/gpl.html)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# Filename: compose.js
# Author(s): Neil McNab
# Last Updated: Thursday, January 4, 2007
#
######################################################################*/


var composewindow = document.getElementById("msgcomposeWindow");
composewindow.addEventListener("focus", populate_classification_list, false);

if (typeof(GenericSendMessage)=="function") {
        // replace GenericSendMessage with our own version
        var origGenericSendMessage = GenericSendMessage;
        GenericSendMessage = function (msgType) {
                        fakeGenericSendMessage(msgType);}
}


function fakeGenericSendMessage( msgType )
{
        //dump("fakeGenericSendMessage from XUL\n");
        // here you can dio whatever you like
	//add custom header!
	//alert("adding custom header here");
	//var msgCompFields = gMsgCompose.compFields;
	var dod_listbox = document.getElementById("classification_box");

	//alert(gMsgCompose.compFields.otherRandomHeaders);
	//return;

	gMsgCompose.compFields.otherRandomHeaders += "X-Security-Classification: " + dod_listbox.value + "\r\n";

        return origGenericSendMessage( msgType );
}

function populate_classification_list() {
	//alert("called");
	var name = "classification_box";
        var allow_none = !prefManager.getBoolPref("extensions.dod.require_classification");

	children_list = get_array("extensions.dod.classification.");

	var dod_listbox = document.getElementById(name);
	dod_listbox.removeAllItems();
	dod_listbox.hidden = false;

	for (i = 0; i < children_list.length; i++) {
		var component_list = children_list[i].split(".");
		var security_domain = component_list[0];
		var level = component_list[1];

		var label = prefManager.getCharPref("extensions.dod.classification." + children_list[i]);
		
		if (prefManager.getIntPref("extensions.dod.max_level." + security_domain) >= level) {
			label = label.split(";")[0];
			dod_listbox.appendItem(security_domain + " " + label, children_list[i]);
		}
	}
	if (allow_none) {
		dod_listbox.appendItem("(None)", "");
	}
	
	dod_listbox.value = prefManager.getCharPref("extensions.dod.default_classification");

	return dod_listbox;
}