/*######################################################################
#
# Project: DoD Configuration Extension
# URL: http://www.nabber.org/projects/
# E-mail: webmaster@nabber.org
#
# Copyright: (C) 2003-2006, Neil McNab
# License: GNU General Public License Version 2
#   (http://www.gnu.org/copyleft/gpl.html)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
# Filename: dod.js
# Author(s): Neil McNab
# Last Updated: Thursday, January 4, 2007
#
######################################################################*/

pref("extensions.dod.version", 0);
pref("extensions.dod.domain", "mil");

// browser prefs
pref("extensions.dod.enable_domain_highlight", true);
pref("extensions.dod.enable_cac_alert", true);
pref("extensions.dod.enable_https_redirect", true);

// mail prefs
pref("extensions.dod.forged_warning", true);
pref("extensions.dod.require_classification", true);
pref("extensions.dod.subject_classification", false);
pref("extensions.dod.default_classification", "USA.10.1");
pref("extensions.dod.security_level", 50);

// setup standard classification levels
// USA
pref("extensions.dod.classification.USA.10.0", "Unclassified;U");
pref("extensions.dod.classification.USA.10.1", "Unclassified//For Official Use Only;U//FOUO");
pref("extensions.dod.classification.USA.10.2", "Unclassified//HIPPA;U//HIPPA");
pref("extensions.dod.classification.USA.10.3", "Unclassified//Privacy Act Sensitive;U//Privacy Act Sensitive");
pref("extensions.dod.classification.USA.10.3", "Unclassified//Law Enforcement Sensitive;U//LES");
pref("extensions.dod.classification.USA.20.0", "Confidential;C");
pref("extensions.dod.classification.USA.30.0", "Secret;S");
pref("extensions.dod.classification.USA.30.1", "Secret//No Foreign Nationals;S//NOFORN");
pref("extensions.dod.classification.USA.30.2", "Secret//Releaseable;S//REL");
pref("extensions.dod.classification.USA.30.3", "Secret//Releaseable to USA,AUS,CAN,GBR,NZL;S//REL USA,AUS,CAN,GBR,NZL");
pref("extensions.dod.classification.USA.40.0", "Top Secret;TS");
pref("extensions.dod.classification.USA.40.1", "Top Secret//Restricted Data;TS//RD");
pref("extensions.dod.max_level.USA", 10);

// NATO
pref("extensions.dod.classification.NATO.10.0", "Unclassified;NU");
pref("extensions.dod.classification.NATO.20.0", "Restricted;NR");
pref("extensions.dod.classification.NATO.30.0", "Confidential;NC");
pref("extensions.dod.classification.NATO.40.0", "Secret;NS");
pref("extensions.dod.classification.NATO.50.0", "Cosmic Top Secret;CTS");
pref("extensions.dod.max_level.NATO", 0);

// Corporate
pref("extensions.dod.classification.Corporate.10.0", "Public;Public");
pref("extensions.dod.classification.Corporate.20.0", "Internal;Internal");
pref("extensions.dod.classification.Corporate.30.0", "Sensitive;Sensitive");
pref("extensions.dod.classification.Corporate.40.0", "Private;Private");
pref("extensions.dod.classification.Corporate.50.0", "Confidential;Confidential");
pref("extensions.dod.max_level.Corporate", 0);